from metadata.sdk import configureimport requestsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices/2c0c7c05-d820-4bea-a471-047deb7f92fd", headers={"Authorization": "Bearer your-jwt-token"})service = response.json()print(f"{service['fullyQualifiedName']}: {service['serviceType']}")# Get by fully qualified nameresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices/name/sample_looker", headers={"Authorization": "Bearer your-jwt-token"})# Get by name with fieldsresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices/name/sample_looker?fields=owners,tags,domains", headers={"Authorization": "Bearer your-jwt-token"})
import static org.openmetadata.sdk.fluent.DashboardServices.*;// Get by IDvar svc = DashboardServices.retrieve("2c0c7c05-d820-4bea-a471-047deb7f92fd");// Get by ID with fieldsvar svc = DashboardServices.retrieve( "2c0c7c05-d820-4bea-a471-047deb7f92fd", "owners,tags,domains");// Get by fully qualified namevar svc = DashboardServices.retrieveByName("sample_looker");// Get by name with fieldsvar svc = DashboardServices.retrieveByName("sample_looker", "owners,tags,domains");
# Get by IDcurl "{base_url}/api/v1/services/dashboardServices/2c0c7c05-d820-4bea-a471-047deb7f92fd" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/services/dashboardServices/2c0c7c05-d820-4bea-a471-047deb7f92fd?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/services/dashboardServices/name/sample_looker" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/services/dashboardServices/name/sample_looker?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"
Get a dashboard service by ID or fully qualified name
GET
/
v1
/
services
/
dashboardServices
/
{id}
GET /v1/services/dashboardServices/{id}
from metadata.sdk import configureimport requestsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices/2c0c7c05-d820-4bea-a471-047deb7f92fd", headers={"Authorization": "Bearer your-jwt-token"})service = response.json()print(f"{service['fullyQualifiedName']}: {service['serviceType']}")# Get by fully qualified nameresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices/name/sample_looker", headers={"Authorization": "Bearer your-jwt-token"})# Get by name with fieldsresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices/name/sample_looker?fields=owners,tags,domains", headers={"Authorization": "Bearer your-jwt-token"})
import static org.openmetadata.sdk.fluent.DashboardServices.*;// Get by IDvar svc = DashboardServices.retrieve("2c0c7c05-d820-4bea-a471-047deb7f92fd");// Get by ID with fieldsvar svc = DashboardServices.retrieve( "2c0c7c05-d820-4bea-a471-047deb7f92fd", "owners,tags,domains");// Get by fully qualified namevar svc = DashboardServices.retrieveByName("sample_looker");// Get by name with fieldsvar svc = DashboardServices.retrieveByName("sample_looker", "owners,tags,domains");
# Get by IDcurl "{base_url}/api/v1/services/dashboardServices/2c0c7c05-d820-4bea-a471-047deb7f92fd" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/services/dashboardServices/2c0c7c05-d820-4bea-a471-047deb7f92fd?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/services/dashboardServices/name/sample_looker" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/services/dashboardServices/name/sample_looker?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"
from metadata.sdk import configureimport requestsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices/2c0c7c05-d820-4bea-a471-047deb7f92fd", headers={"Authorization": "Bearer your-jwt-token"})service = response.json()print(f"{service['fullyQualifiedName']}: {service['serviceType']}")# Get by fully qualified nameresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices/name/sample_looker", headers={"Authorization": "Bearer your-jwt-token"})# Get by name with fieldsresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices/name/sample_looker?fields=owners,tags,domains", headers={"Authorization": "Bearer your-jwt-token"})
import static org.openmetadata.sdk.fluent.DashboardServices.*;// Get by IDvar svc = DashboardServices.retrieve("2c0c7c05-d820-4bea-a471-047deb7f92fd");// Get by ID with fieldsvar svc = DashboardServices.retrieve( "2c0c7c05-d820-4bea-a471-047deb7f92fd", "owners,tags,domains");// Get by fully qualified namevar svc = DashboardServices.retrieveByName("sample_looker");// Get by name with fieldsvar svc = DashboardServices.retrieveByName("sample_looker", "owners,tags,domains");
# Get by IDcurl "{base_url}/api/v1/services/dashboardServices/2c0c7c05-d820-4bea-a471-047deb7f92fd" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/services/dashboardServices/2c0c7c05-d820-4bea-a471-047deb7f92fd?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/services/dashboardServices/name/sample_looker" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/services/dashboardServices/name/sample_looker?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"